
// Slider
$(document).ready(function()
{

	// Info news
	$('#menu_one_notice').click(function()
	{
		var size = $('#info_notice').find('.element_notice').size();
		$('#info_notice').find('.element_notice').each(
			function(index,value)
			{
				$(value).slideUp();
				if($(value).hasClass('n_visible'))
				{
					$(value).removeClass('n_visible');
					$($('#info_notice').find('.element_notice').get(0)).slideDown();
					$($('#info_notice').find('.element_notice').get(0)).addClass('n_visible');
					return false;
				}
		});
	});

	$('#menu_two_notice').click(function()
	{
		var size = $('#info_notice').find('.element_notice').size();
		$('#info_notice').find('.element_notice').each(
			function(index,value)
			{
				$(value).slideUp();
				if($(value).hasClass('n_visible'))
				{
					$(value).removeClass('n_visible');
					$($('#info_notice').find('.element_notice').get(1)).slideDown();
					$($('#info_notice').find('.element_notice').get(1)).addClass('n_visible');	
					return false;
				}
				else
				{
					$(value).removeClass('n_visible');
					$($('#info_notice').find('.element_notice').get(1)).slideDown();
					$($('#info_notice').find('.element_notice').get(1)).addClass('n_visible');
					return false;
				}
		});
	});

	$('#menu_tree_notice').click(function()
	{
		var size = $('#info_notice').find('.element_notice').size();
		$('#info_notice').find('.element_notice').each(
			function(index,value)
			{
				$(value).slideUp();
				if($(value).hasClass('n_visible'))
				{
					$(value).removeClass('n_visible');
					$($('#info_notice').find('.element_notice').get(2)).slideDown();
					$($('#info_notice').find('.element_notice').get(2)).addClass('n_visible');	
					return false;
				}

		});
	});

	// Info Social
	$('#menu_one_social').click(function()
	{
		var size = $('#info_social').find('.element_social').size();
		$('#info_social').find('.element_social').each(
			function(index,value)
			{
				$(value).slideUp();
				if($(value).hasClass('s_visible'))
				{
					$(value).removeClass('s_visible');
					$($('#info_social').find('.element_social').get(0)).slideDown();
					$($('#info_social').find('.element_social').get(0)).addClass('s_visible');
					return false;
				}
		});
	});

	$('#menu_two_social').click(function()
	{
		var size = $('#info_social').find('.element_social').size();
		$('#info_social').find('.element_social').each(
			function(index,value)
			{
				$(value).slideUp();
				if($(value).hasClass('s_visible'))
				{
					$(value).removeClass('s_visible');
					$($('#info_social').find('.element_social').get(1)).slideDown();
					$($('#info_social').find('.element_social').get(1)).addClass('s_visible');	
					return false;
				}
		});
	});

	// Info media
	$('#menu_one_media').click(function()
	{
		var size = $('#info_media').find('.element_media').size();
		$('#info_media').find('.element_media').each(
			function(index,value)
			{
				$(value).slideUp();
				if($(value).hasClass('m_visible'))
				{
					$(value).removeClass('m_visible');
					$($('#info_media').find('.element_media').get(0)).slideDown();
					$($('#info_media').find('.element_media').get(0)).addClass('m_visible');
					return false;
				}
		});
	});

	$('#menu_two_media').click(function()
	{
		var size = $('#info_media').find('.element_media').size();
		$('#info_media').find('.element_media').each(
			function(index,value)
			{
				$(value).slideUp();
				if($(value).hasClass('m_visible'))
				{
					$(value).removeClass('m_visible');
					$($('#info_media').find('.element_media').get(1)).slideDown();
					$($('#info_media').find('.element_media').get(1)).addClass('m_visible');	
					return false;
				}
		});
	});

});

function avanzar()
{
	var size = $('#slider').find('.image_slider').size();
	$('#slider').find('.image_slider').each(
	function(index,value)
	{
		$(value).slideUp();
		if($(value).hasClass('i_visible'))
		{
			if(index+1<size)
			{
				$(value).removeClass('i_visible');
				$($('#slider').find('.image_slider').get(index+1)).slideDown();
				$($('#slider').find('.image_slider').get(index+1)).addClass('i_visible');
				return false;
			}
			else
			{
				$(value).removeClass('i_visible');
				$($('#slider').find('.image_slider').get(0)).slideDown();
				$($('#slider').find('.image_slider').get(0)).addClass('i_visible');
				return false;
			}
		}
	});
}

var myInput = document.getElementById("password");
var letter = document.getElementById("lowercase");
var capital = document.getElementById("uppercase");
var number = document.getElementById("number");
var length = document.getElementById("length");
var symbol = document.getElementById("symbol");

if (myInput != null) {
	// When the user clicks on the password field, show the message box
	myInput.onfocus = function() {
	  document.getElementById("form-pattern").style.display = "block";
	}

	// When the user clicks outside of the password field, hide the message box
	myInput.onblur = function() {
	  document.getElementById("form-pattern").style.display = "none";
	}

	// When the user starts to type something inside the password field
	myInput.onkeyup = function() {
	  // Validate lowercase letters
	  var lowerCaseLetters = /[a-z]/g;
	  if(myInput.value.match(lowerCaseLetters)) {  
		letter.classList.remove("invalid");
		letter.classList.add("valid");
	  } else {
		letter.classList.remove("valid");
		letter.classList.add("invalid");
	  }
	  
	  // Validate capital letters
	  var upperCaseLetters = /[A-Z]/g;
	  if(myInput.value.match(upperCaseLetters)) {  
		capital.classList.remove("invalid");
		capital.classList.add("valid");
	  } else {
		capital.classList.remove("valid");
		capital.classList.add("invalid");
	  }

	  // Validate numbers
	  var numbers = /[0-9]/g;
	  if(myInput.value.match(numbers)) {  
		number.classList.remove("invalid");
		number.classList.add("valid");
	  } else {
		number.classList.remove("valid");
		number.classList.add("invalid");
	  }
	  
	   // Validate symbols
	  var numbers = /[?!@#$+-.,]/g;
	  if(myInput.value.match(numbers)) {  
		symbol.classList.remove("invalid");
		symbol.classList.add("valid");
	  } else {
		symbol.classList.remove("valid");
		symbol.classList.add("invalid");
	  }
	  
	  // Validate length
	  if(myInput.value.length >= 5 && myInput.value.length <= 16) {
		length.classList.remove("invalid");
		length.classList.add("valid");
	  } else {
		length.classList.remove("valid");
		length.classList.add("invalid");
	  }
	}
}
var myInput = document.getElementById("password");
var letter = document.getElementById("lowercase");
var capital = document.getElementById("uppercase");
var number = document.getElementById("number");
var length = document.getElementById("length");
var symbol = document.getElementById("symbol");

if (myInput != null) {
	// When the user clicks on the password field, show the message box
	myInput.onfocus = function() {
	  document.getElementById("form-pattern").style.display = "block";
	}

	// When the user clicks outside of the password field, hide the message box
	myInput.onblur = function() {
	  document.getElementById("form-pattern").style.display = "none";
	}

	// When the user starts to type something inside the password field
	myInput.onkeyup = function() {
	  // Validate lowercase letters
	  var lowerCaseLetters = /[a-z]/g;
	  if(myInput.value.match(lowerCaseLetters)) {  
		letter.classList.remove("invalid");
		letter.classList.add("valid");
	  } else {
		letter.classList.remove("valid");
		letter.classList.add("invalid");
	  }
	  
	  // Validate capital letters
	  var upperCaseLetters = /[A-Z]/g;
	  if(myInput.value.match(upperCaseLetters)) {  
		capital.classList.remove("invalid");
		capital.classList.add("valid");
	  } else {
		capital.classList.remove("valid");
		capital.classList.add("invalid");
	  }

	  // Validate numbers
	  var numbers = /[0-9]/g;
	  if(myInput.value.match(numbers)) {  
		number.classList.remove("invalid");
		number.classList.add("valid");
	  } else {
		number.classList.remove("valid");
		number.classList.add("invalid");
	  }
	  
	   // Validate symbols
	  var numbers = /[?!@#$+-.,]/g;
	  if(myInput.value.match(numbers)) {  
		symbol.classList.remove("invalid");
		symbol.classList.add("valid");
	  } else {
		symbol.classList.remove("valid");
		symbol.classList.add("invalid");
	  }
	  
	  // Validate length
	  if(myInput.value.length >= 5 && myInput.value.length <= 16) {
		length.classList.remove("invalid");
		length.classList.add("valid");
	  } else {
		length.classList.remove("valid");
		length.classList.add("invalid");
	  }
	}
}
